Subject: bug#23422: stat -c %N returns strange results for file names including <TAB>

From: Michael Albinus <[email-masked]>
Date: Mon, 02 May 2016 16:27:00 +0200

Eric Blake <[email-masked]> writes:

Hi Eric,

>> I have a file called "foo<TAB>bar". Yes, it includes the <TAB> char in
>> its name. When I call "stat -c %N", I get 'foo'$'\t''bar' .
>
> That is intentional; in the same vein as the way 'ls' changed its
> default output for files with awkward characters.  The defaults are to
> quote in a way that is reusable by shells that understand $'' quoting
> (since POSIX will be adding support for it).  And you can always select
> other quoting methods, via the QUOTING_STYLE environment variable.

Thanks for the hint with QUOTING_STYLE. However, it doesn't work for me:

# env QUOTING_STYLE=escape /usr/bin/stat -c %N /tmp/foo*
'/tmp/foo'$'\t''bar'

Best regards, Michael.